public class f2a extends f_xj
{
public double xy[][];
public double z[];
int n;
public f2a(double xyi[][],int ni)
{	double a[][]=xyi;
    double b[][]=Text.T(a);
	double c[][]={b[0],b[1]};
	double b1[][]=Text.T(c);xy=b1;
	z=b[2];
	n=ni;
}

public double func(double xx[]) 
{ 
 double ff=NA129H.HEKK(xx,xy,z,n);
 return ff;
}}